Skip to navigation Skip to main content
Menu
ADD ANYTHING HERE OR JUST REMOVE IT…
Login / Register
Sign in Create an Account

Lost your password?

0 items .ރ 0.00
Menu
0 items
Awaiting product image
Click to enlarge
Home Uncategorized CHEF BASMATI RICE 5kg
Mccain French Fries 420 Gm Pkt
Mccain French Fries 420 Gm Pkt .ރ 35.00
Back to products
HOLSTEN NON ALCOHOLIC BEER APPLE 330ML
HOLSTEN NON ALCOHOLIC BEER APPLE 330ML .ރ 25.00

CHEF BASMATI RICE 5kg

.ރ 230.00

2 in stock

SKU: 08754 Category: Uncategorized
Share:
  • Shipping & Delivery
Shipping & Delivery

Related products

AKBAR TEA BAGS (NORMAL) 100 X 2 g (L)

.ރ 45.00
Add to cart
Placeholder

CANDLE WHITE BIG LILIN LAMPU 20X8 PCS

.ރ 8.00
Add to cart

CHICKI CHUNK CHICKEN IN SUNFLOWER-OIL 160 g

.ރ 35.00
Add to cart

COAST CALCIUM MILK POWDER (SACHET) 800g RFC004

.ރ 190.00
Add to cart

COAST FULL CREAM MILK POWDER 900 g RFC008

.ރ 210.00
Add to cart

COAST MILK POWDER(SACHET) 2250 g RFC009

.ރ 430.00
Add to cart

DUTCH LADY UHT MILK 200 ml STRAWBERRY

.ރ 15.00
Add to cart

YEYE 3 IN 1 COFFEE MIX 20g JDE009

.ރ 3.00
Add to cart
    Based on WoodMart theme© 2026 WooCommerce Themes.
    payments
    Start typing to see posts you are looking for.
    • Menu
    • Categories
    Set your categories menu in Header builder -> Mobile -> Mobile menu element -> Show/Hide -> Choose menu
    • Login / Register
    Shopping cart
    Close
    Home
    0 items Cart
    My account